Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreAuditManager

    java.lang.Object
      oracle.ifs.fdk.impl.AuditManagerImpl
          oracle.ifs.fdk.core.CoreAuditManager

All Implemented Interfaces:
  java.rmi.Remote, AuditManager

    public class CoreAuditManager

extends AuditManagerImpl

Implements Auditing operations.

Constructor Summary
`CoreAuditManager()` Constructor.
`CoreAuditManager(FdkSession session)` Constructor.

Method Summary
`Item` | `createAuditReport(NamedValue[] searchOptions, NamedValue[] sortOptions, NamedValue[] reportOptions, AttributeRequest[] attrs)` Creates an audit report given a search specification as a DocumentDefinition that can be used to create a Document later.
`Item` | `createAuditTypeList(NamedValue[] def, AttributeRequest[] attrs)` Creates an AuditTypeList.
`long` | `findAuditHistory(java.lang.String name)` Returns the Audit History id associated with the specified name, or FDK_ITEM_NOT_FOUND exception, if no match can be found.
`NamedValue[]` | `getAuditTypeEntries(NamedValue[] options)` Returns the AuditTypeEntries for an Item type or that are contained within an existing AuditTypeList.
`NamedValue[]` | `getAuditTypeEntriesFromAuditTypesList(long id)` Returns the AuditTypes of an AuditTypeList.
`Item` | `getAuditTypeList(java.lang.String name, AttributeRequest[] attrs)` Returns the AuditTypeList corresponding to the specified name.
`protected static java.lang.String` | `getClassNameFromItemType(java.lang.String itemType)` Get the Item type for a specified class name, for auditing purposes.
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`ItemCertificate[]` | `getItemCertificates(long[] ids)` Returns the ItemCertificates for the given Event IDs.
`protected static java.lang.String` | `getItemTypeFromClassName(LibrarySession session, java.lang.String className)` Get the Item type for a specified class name, for auditing purposes.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`NamedValue[]` | `listAggregateEventColumnValues(java.lang.String aggFunction, java.lang.String[] columnNames, NamedValue[] searchOptions, NamedValue[] sortOptions)` Returns an array of column values (each element of the array corresponds to a specific column).
`java.lang.String[]` | `listOperationActionSpecifications()` Returns the list of registered operation action specification names.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`long` | `markCurrentAuditingId()` Mark the starting point for subsequent audit event searches.
`void` | `postEvent(java.lang.String opTypeKey, long targetItem, NamedValue[] optPayload)` Posts a custom audit event.
`void` | `processRawAuditEvents()` Force processing of raw audit events.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`void` | `removeAuditingConfiguration(long folderId)` Removes the AuditingConfiguration from a Folder.
`void` | `removeOperationConfiguration(long folderId)` Removes the OperationConfiguration for a Folder.
`Event[]` | `searchAuditHistory(NamedValue[] searchOptions, NamedValue[] sortOptions)` Searches an Audit History, returning an array of matching Event instances.
`void` | `setAuditingConfiguration(long folderId, NamedValue[] config)` Sets the AuditingConfiguration for a Folder, replacing any existing AuditingConfiguration.
`void` | `setOperationConfiguration(long folderId, NamedValue[] config)` Sets the OperationConfiguration for a Folder, replacing any existing OperationConfiguration.
`Item` | `updateAuditTypeList(long id, NamedValue[] def, AttributeRequest[] attrs)` Updates the name or description of an existing AuditTypeList.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAuditManager

    public CoreAuditManager()

  Constructor.

### CoreAuditManager

    public CoreAuditManager(FdkSession session)

  Constructor.

  Parameters:
    `session` - session context

Method Detail

### setAuditingConfiguration

    public void setAuditingConfiguration(long folderId,
                                         NamedValue[] config)
                                  throws FdkException

  Description copied from interface: `AuditManager`
  Sets the AuditingConfiguration for a Folder, replacing any existing AuditingConfiguration.

  Clients may specify either an AuditTypeList ID for the new AuditingConfiguration to reference, or an explicit set of AuditTypes which will be used to create an unnamed AuditTypeList that is embedded in the new AuditingConfiguration.

  Parameters:
    `folderId` - The ID of the Folder on which to set the AuditingConfiguration.
    `config` - The AuditingConfiguration options to set; must include one or more of the following Attributes:
    `
    - notation: {Attribute name, Attribute type}
    - {Attributes.CONFIGURATION_FINAL, Boolean}
    - {Attributes.CONFIGURATION_ENABLED, Boolean}
    - {Options.AUDIT_TYPE_LIST_ID, Long}
    - {Options.AUDIT_TYPES, NamedValue[]}
      - each element is a NamedValue where:
        - name = Operation Type Key (String)
        - value = Success Mode (Integer)
    `
  Throws:
    `FdkException` - if the operation fails.

### removeAuditingConfiguration

    public void removeAuditingConfiguration(long folderId)
                                     throws FdkException

  Description copied from interface: `AuditManager`
  Removes the AuditingConfiguration from a Folder.

  Parameters:
    `folderId` - The ID of the Folder from which to remove the AuditingConfiguration.
  Throws:
    `FdkException` - if the operation fails.

### setOperationConfiguration

    public void setOperationConfiguration(long folderId,
                                          NamedValue[] config)
                                   throws FdkException

  Description copied from class: `CoreAuditManager`
  Sets the OperationConfiguration for a Folder, replacing any existing OperationConfiguration. The entire configuration will be replaced as a set and not added to the existing one.

  Parameters:
    `folderId` - the folder for which to set the operation configuration
    `config` - the operation configuration options to set; must include one or more of the following Attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.CONFIGURATION_FINAL, Boolean}
    - {Attributes.CONFIGURATION_ENABLED, Boolean}
  Throws:
    `FdkException` - if the operation fails.

### removeOperationConfiguration

    public void removeOperationConfiguration(long folderId)
                                      throws FdkException

  Description copied from class: `CoreAuditManager`
  Removes the OperationConfiguration for a Folder.

  Parameters:
    `folderId` - the folder from which to remove the configuration.
  Throws:
    `FdkException` - if the operation fails.

### listOperationActionSpecifications

    public java.lang.String[] listOperationActionSpecifications()
                                                         throws FdkException

  Description copied from class: `CoreAuditManager`
  Returns the list of registered operation action specification names.

  Returns:
    An array of specification names.
  Throws:
    `FdkException` - if the operation fails.

### postEvent

    public void postEvent(java.lang.String opTypeKey,
                          long targetItem,
                          NamedValue[] optPayload)
                   throws FdkException

  Description copied from class: `CoreAuditManager`
  Posts a custom audit event.

  Parameters:
    `opTypeKey` - The operation type key; must be a registered custom event operation key
    `targetItem` - The target Item
    `optPayload` - Optional event payload elements:
    `
    - notation: {Option name, Option type}
    - {Options.EVENT_AUXILIARY_ITEM_IDS, Long[]}
    - {Options.EVENT_AUXILIARY_STRING, String}
    - {Options.EVENT_AUXILIARY_NUMBER, Long}
    - {Options.EVENT_PROPERTIES, NamedValue[]}
    `
  Throws:
    `FdkException` - if the operation fails.

### searchAuditHistory

    public Event[] searchAuditHistory(NamedValue[] searchOptions,
                                      NamedValue[] sortOptions)
                               throws FdkException

  Description copied from interface: `AuditManager`
  Searches an Audit History, returning an array of matching Event instances.

  To specify an Audit Event search, first select the type of Audit History from which to search, using the `Options.AUDIT_HISTORY_TYPE` option. Allowed values:

  - `FdkConstants.AUDIT_HISTORY_GLOBAL`
  - `FdkConstants.AUDIT_HISTORY_ITEM`
  - `FdkConstants.AUDIT_HISTORY_CUSTOM`

  The following Audit History types require additional options:

  - Specify the `Options.AUDIT_HISTORY_ITEM_TARGET_ID` option if the Audit History type is `FdkConstants.AUDIT_HISTORY_ITEM`, or for any search being performed by a non-administrator.
  - Specify the `Options.AUDIT_HISTORY_CUSTOM_ID` option if the Audit History type is `FdkConstants.AUDIT_HISTORY_CUSTOM`.

  After specifying the type of Audit History and its options, as described above, specify the filter options for the search (the 'where' clause), using the `Options.EVENT_FILTER_***` options.

  Each filter option is used to build a search expression made up of the `=, >=, <=,` or `IN` operators. The complete search query is the conjunction of each of the following expressions:

  `
  - FdkConstants.EVENT_COLUMN_ID >= Options.EVENT_FILTER_START_ID
  - FdkConstants.EVENT_COLUMN_ID <= Options.EVENT_FILTER_END_ID
  - FdkConstants.EVENT_COLUMN_CREATE_DATE >= Options.EVENT_FILTER_START_DATE
  - FdkConstants.EVENT_COLUMN_CREATE_DATE <= Options.EVENT_FILTER_END_DATE
  - FdkConstants.EVENT_COLUMN_CREATOR_ID IN Options.EVENT_FILTER_CREATORS
  - FdkConstants.EVENT_COLUMN_OPERATION_TYPE IN Options.EVENT_FILTER_OPERATION_TYPES
  - FdkConstants.EVENT_COLUMN_TARGET_ID IN Options.EVENT_FILTER_TARGETS
  - FdkConstants.EVENT_COLUMN_OPERATION_SUCCESSFUL = Options.EVENT_FILTER_SUCCESS
  - FdkConstants.EVENT_COLUMN_AUXILIARY_STRING = Options.EVENT_FILTER_AUXILIARY_STRING
  - FdkConstants.EVENT_COLUMN_AUXILIARY_NUMBER = Options.EVENT_FILTER_AUXILIARY_NUMBER
  - FdkConstants.EVENT_COLUMN_APPLICATION_CONTEXT = Options.EVENT_FILTER_APPLICATION_CONTEXT
  - FdkConstants.EVENT_COLUMN_APPLICATION_USER = Options.EVENT_FILTER_APPLICATION_USER
  `

  Finally, specify the result size limit for the search, using the `Options.EVENT_FILTER_RESULT_SIZE_LIMIT` option. If this option is not set or has a value of null, there will not be a limit on the size of the result returned by this method.

  Parameters:
    `searchOptions` -

    > Options specifying the Audit History from which to search. A `NamedValue[]` of the form `{String option-name, Datatype value}`. Valid option-names and Datatypes:
    > `
    > - {Options.AUDIT_HISTORY_TYPE, Integer}
    > - {Options.AUDIT_HISTORY_ITEM_TARGET_ID, Long}
    > - {Options.AUDIT_HISTORY_CUSTOM_ID, Long}
    > `
    > Options to filter results; a `NamedValue[]` of the form `{String option-name, Datatype value}`. Valid option-names and Datatypes:
    > `
    > - {Options.EVENT_FILTER_START_ID, Long}
    > - {Options.EVENT_FILTER_END_ID, Long}
    > - {Options.EVENT_FILTER_START_DATE, Date}
    > - {Options.EVENT_FILTER_END_DATE, Date}
    > - {Options.EVENT_FILTER_CREATORS, long[]}
    > - {Options.EVENT_FILTER_OPERATION_TYPES, String[]}
    > - {Options.EVENT_FILTER_TARGETS, long[]}
    > - {Options.EVENT_FILTER_SUCCESS, Boolean}
    > - {Options.EVENT_FILTER_AUXILIARY_STRING, String}
    > - {Options.EVENT_FILTER_AUXILIARY_NUMBER, Long}
    > - {Options.EVENT_FILTER_APPLICATION_CONTEXT, String}
    > - {Options.EVENT_FILTER_APPLICATION_USER, String}
    > - {Options.EVENT_FILTER_RESULT_SIZE_LIMIT, Integer}
    > `

    `sortOptions` -

    > Optional sort options (Event column-names and whether the columns should be sorted in ascending or descending order); may be null. A `NamedValue[]` of the form: `{String column-name, Boolean ascending}` . Valid column-names are:
    > `
    > - FdkConstants.EVENT_COLUMN_ID
    > - FdkConstants.EVENT_COLUMN_CREATE_DATE
    > - FdkConstants.EVENT_COLUMN_CREATOR_ID
    > - FdkConstants.EVENT_COLUMN_OPERATION_TYPE
    > - FdkConstants.EVENT_COLUMN_TARGET_ID
    > - FdkConstants.EVENT_COLUMN_OPERATION_SUCCESSFUL
    > `

  Returns:
    An array of Event instances that match the audit search specification.
  Throws:
    `FdkException` - if an error occurs.

### listAggregateEventColumnValues

    public NamedValue[] listAggregateEventColumnValues(java.lang.String aggFunction,
                                                       java.lang.String[] columnNames,
                                                       NamedValue[] searchOptions,
                                                       NamedValue[] sortOptions)
                                                throws FdkException

  Description copied from interface: `AuditManager`
  Returns an array of column values (each element of the array corresponds to a specific column). The values of each column contain the distinct values of the specified Event column names, as well as the value of the optional optional aggregate function.

  See `AuditManager.searchAuditHistory()` for a description of the `searchOptions` method parameter.

  There is one additional search option supported in this method:
  `{Options.AUDIT_EVENT_AGGREGATE_INNER_COLUMN_LIST, String[]}`

  The aggregate function name can be null, which is used for selecting distinct columns. Supported aggregate function names are "count(*)", or another SQL aggregate expression expressed in terms of one of the Event columns; for example "min(createdate)".

  Parameters:
    `aggFunction` - The aggregate function; can be null.
    `columnNames` - Event column names for which to list distinct values.
    `sortOptions` - Optional sort options results (Event column-names and whether that column should be sorted in ascending or descending order); may be null. A `NamedValue[]` of the form: `{String column-name, Boolean ascending}` . Column-names must be either the name of the specified aggFunction, or one of the columnNames.
  Returns:
    A NamedValue array corresponding to a list of column values of the specified aggregate function and the distinct values of the Event columns. The name of each NamedValue corresponds to the aggregate function or specified Event column name; the value of the NamedValue is an array of the appropriate datatype for the column or the result of the aggregate function. The value array may be of length one. Every element of the returned NamedValue[] are guaranteed to have value arrays of the same length. Note that for long[] and int[] arrays, -1 is used to represent null values, and for boolean[] arrays, null values are represented by a value of false.
  Throws:
    `FdkException` - if an error occurs.

### createAuditReport

    public Item createAuditReport(NamedValue[] searchOptions,
                                  NamedValue[] sortOptions,
                                  NamedValue[] reportOptions,
                                  AttributeRequest[] attrs)
                           throws FdkException

  Description copied from interface: `AuditManager`
  Creates an audit report given a search specification as a DocumentDefinition that can be used to create a Document later.

  Note that the name of the DocumentDefinition is always set to `report-{date}.xml` by default.

  See `AuditManager.searchAuditHistory()` for a description of the `searchOptions`, and `sortOptions` method parameters.

    `reportOptions` - The attributes or options for the DocumentDefinition:
    `
    - notation: {Attribute name, Attribute type}
    - {Attributes.DESCRIPTION, String}
    - {Options.DEFINITION_EXPIRATION_TIME, Long}
    `
    `attrs` - The requested attributes for the DocumentDefinition Item returned by this method.
  Returns:
    A DocumentDefinition Item that contains the audit report (in XML format) in its content.
  Throws:
    `FdkException` - if an error occurs.

### getAuditTypeEntries

    public NamedValue[] getAuditTypeEntries(NamedValue[] options)
                                     throws FdkException

  Description copied from interface: `AuditManager`
  Returns the AuditTypeEntries for an Item type or that are contained within an existing AuditTypeList.

  This method can be used to fetch AuditTypeEntries for an Item type, or from an existing AuditTypeList, or a combination of both.

  When fetching AuditTypeEntries for an Item type, it is possible to request only those AuditTypeEntries for that specific Item type, or to also include all Item types that can be contained by the specified Item type.

  The containership (nesting) hierarchy is defined as follows:

         DOMAIN
           all Item types that are not contained in the folder hierarchy
           ARCHIVE
           CONTAINER
             WORKSPACE
               TRASH_FOLDER
               FOLDER
                 DOCUMENT
                 FAMILY
                 LINK
                 FOLDERLINK

  Use `Options.AUDIT_TYPE_ENTRY_INCLUDE_NESTED` with a value of true to also fetch AuditTypeEntries for nested Item types.

  When fetching AuditTypeEntries for an Item type without specifying an AuditTypeList ID, clients may also specify the default success mode value (using the `AUDIT_TYPE_ENTRY_SUCCESS_MODE` option) to be returned for each AuditTypeEntry NamedValue.

  When fetching AuditTypeEntries when an AuditTypeList ID is specified, the only valid value for the `AUDIT_TYPE_ENTRY_SUCCESS_MODE` option is `FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_NONE`.

  The `AUDIT_TYPE_ENTRY_SUCCESS_MODE` option has a default value of `FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_NONE`.

  Parameters:
    `options` - AuditTypeEntry options:
    `
    - notation: {Option name, Option type}
    - {Options.AUDIT_TYPE_ENTRY_ITEM_TYPE, String}
    - {Options.AUDIT_TYPE_ENTRY_SUCCESS_MODE, Integer}; allowed values:
      - FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_NONE
      - FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_ONLY
      - FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_FAILURE_ONLY
      - FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_OR_FAILURE
      default: FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_ONLY
    - {Options.AUDIT_TYPE_ENTRY_INCLUDE_NESTED, Boolean}; default: true
    - {Options.AUDIT_TYPE_LIST_ID, Long}
    `
  Returns:
    a NamedValue array representing each AuditTypeEntry, where each element is a NamedValue with its name set to the Event type and its value set to the success mode; the array is sorted by Event type
  Throws:
    `FdkException` - if the operation fails.

### getAuditTypeList

    public Item getAuditTypeList(java.lang.String name,
                                 AttributeRequest[] attrs)
                          throws FdkException

  Description copied from interface: `AuditManager`
  Returns the AuditTypeList corresponding to the specified name.

  Parameters:
    `name` - name of the AuditTypeList to return
    `attrs` - requested attributes for the returned AuditTypeList
  Returns:
    AuditTypeList with the specified name, or null if no AuditTypeList with the specified name is found
  Throws:
    `FdkException` - if the operation fails

### createAuditTypeList

    public Item createAuditTypeList(NamedValue[] def,
                                    AttributeRequest[] attrs)
                             throws FdkException

  Description copied from interface: `AuditManager`
  Creates an AuditTypeList.

  Once created, only the name or description of an AuditTypeList can be changed. AuditTypeLists are automatically deleted when they become unnamed and no longer referenced.

  AuditTypeList Items are used in AuditingConfiguration instances and also to configure the global audit history for a Domain -- see `DomainManager.updateDomain()`.

  An AuditTypeList is made up of a set of AuditTypes, which are represented as NamedValue instances with operation type keys as names and operation success modes as values.

  The AuditTypes in an AuditTypeList are used to filter the Events that are audited for:
  - the item audit history (Items that have an AuditingConfiguration)
  - the global audit history (all Items)

  Valid Operation Type Keys are constants in the `EventTypes` class.

  Valid Success Mode values are:

  `
  - FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_NONE
  - FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_ONLY
  - FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_FAILURE_ONLY
  - FdkConstants.AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_OR_FAILURE
  `

  Parameters:
    `def` - array of attributes/options used to specify the characteritics of the AuditTypeList:
    `
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Options.AUDIT_TYPES, NamedValue[]}
      - each element is a NamedValue where:
        - name = Operation Type Key (String)
        - value = Success Mode (Integer)
    `
    `attrs` - attributes to be returned for the returned Item
  Returns:
    an AuditTypeList Item
  Throws:
    `FdkException` - if the operation fails

### getAuditTypeEntriesFromAuditTypesList

    public NamedValue[] getAuditTypeEntriesFromAuditTypesList(long id)
                                                       throws FdkException

  Description copied from interface: `AuditManager`
  Returns the AuditTypes of an AuditTypeList.

  The name of each AuditType is the operation type key and the value of each AuditType is an Integer reprsenting the operation success mode.

  Parameters:
    `id` - ID of the AuditTypeList
  Returns:
    NamedValue array representing a set of AuditTypes
  Throws:
    `FdkException` - if the operation fails

### updateAuditTypeList

    public Item updateAuditTypeList(long id,
                                    NamedValue[] def,
                                    AttributeRequest[] attrs)
                             throws FdkException

  Description copied from interface: `AuditManager`
  Updates the name or description of an existing AuditTypeList.

  Parameters:
    `id` - ID of the AuditTypeList to update
    `def` - array of attributes/options used to specify the characteritics of the AuditTypeList:
    `
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    `
    `attrs` - attributes to be returned on the return object
  Returns:
    an AuditTypeList Item
  Throws:
    `FdkException` - if the operation fails

### getItemCertificates

    public ItemCertificate[] getItemCertificates(long[] ids)
                                          throws FdkException

  Description copied from interface: `AuditManager`
  Returns the ItemCertificates for the given Event IDs.

  ItemCertificates are used to store the audit history of an Item beyond the life of the Item itself.

  An ItemCertificate is created automatically when its corresponding Item is created, and it is updated one final time when its Item is freed, to record the fact that the Item was freed, and the deletor and freed date.

  Parameters:
    `ids` - Item IDs to use to lookup ItemCertificates
  Returns:
    ItemCertificate array with one element per Item ID
  Throws:
    `FdkException` - if the operation fails

### findAuditHistory

    public long findAuditHistory(java.lang.String name)
                          throws FdkException

  Description copied from interface: `AuditManager`
  Returns the Audit History id associated with the specified name, or FDK_ITEM_NOT_FOUND exception, if no match can be found.

  Parameters:
    `name` - internal audit specification name for the history
  Returns:
    id value, or FdkException if no name match.
  Throws:
    `FdkException` - if the operation fails

### markCurrentAuditingId

    public long markCurrentAuditingId()
                               throws FdkException

  Description copied from class: `CoreAuditManager`
  Mark the starting point for subsequent audit event searches.

  Returns:
    current high-water mark
  Throws:
    `FdkException` - if the operation fails

### processRawAuditEvents

    public void processRawAuditEvents()
                               throws FdkException

  Description copied from class: `CoreAuditManager`
  Force processing of raw audit events.

  Throws:
    `FdkException` - if the operation fails

### getItemTypeFromClassName

    protected static java.lang.String getItemTypeFromClassName(LibrarySession session,
                                                               java.lang.String className)
                                                        throws FdkException

  Description copied from class: `CoreAuditManager`
  Get the Item type for a specified class name, for auditing purposes.

  Can return null if there is no coresponding Item type for the class name specified.

  Parameters:
    `session` - session context
    `className` - the class name
  Returns:
    the corresponding item type, or null if no match
  Throws:
    `FdkException` - if the operation fails

### getClassNameFromItemType

    protected static java.lang.String getClassNameFromItemType(java.lang.String itemType)

  Description copied from class: `CoreAuditManager`
  Get the Item type for a specified class name, for auditing purposes.

  Can return null if there is no coresponding Item type for the class name specified.

  Parameters:
    `itemType` - the item type
  Returns:
    the corresponding class name, or null if no match

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD